process.title = process.argv[2];

const fs = require("fs");

const pid = process.pid;
fs.writeFileSync("./pid.txt", pid);

const mongoose = require("mongoose");
const app = require("./app");

const server = app.listen(process.env.PORT || 3001);

global.io = require("socket.io")(server);

process.on("SIGTERM", () => {
  server.close(() => {
    mongoose.connection.close(false, () => {
      process.exit(0);
    });
  });
});
